
Redmine - Defect #18094

List custom filed with multiple values displayed as check boxes cannot be unchecked 

2014-10-14 17:09 - Marius BĂLTEANU

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 2.5.2

Description

Steps to reproduce:

1. Add new custom field for issues with the following attributes:

Format: List

Name: Test

Description:

Multiple values: Yes

Possible values: One, Two, Three

Default value:

Link values to URL:

Display: checkboxes

1. Enable the custom field on a tracker

2. Enable the custom field on a project

3. Add a new issue on the respective project and tracker

4. Check on option for Test field

5. Save

6. Edit issue

7. Uncheck all options for Test field

8. Save

9. Observe that the option is still checked

I observed in logs that when the request is made with no option checked, the custom field is not sent.

Related issues:

Is duplicate of Redmine - Defect #16798: Custom field - list type - checkboxe... Closed

History

#1 - 2014-10-14 17:45 - Jean-Philippe Lang

- Status changed from New to Needs feedback

Works for me, this was already reported and fixed in 2.5.2 release (see #16798).

#2 - 2014-10-14 17:45 - Jean-Philippe Lang

- Is duplicate of Defect #16798: Custom field - list type - checkboxes - unchecking all - does not save added

#3 - 2014-10-15 10:42 - Marius BĂLTEANU

Yes, works on 2.5.2. I tested on a environment that I thought that is 2.5.2, but was 2.5.1. Sorry, my bad.

Thanks, you can close this defect.

#4 - 2014-10-20 21:29 - Jean-Philippe Lang

- Status changed from Needs feedback to Closed

- Resolution set to Duplicate

Thanks for the feedback.
